Loading...
Searching...
No Matches
Freezer Class Reference

`#include <gx_main_window.h>`

## Public Member Functions

| Freezer ()
| ~Freezer ()
void | freeze_until_width_update (Gtk::Window *w, int width)
void | set_slot (sigc::slot< void > w)
void | freeze_and_size_request (Gtk::Window *w, int width, int height)
bool | check_thaw (int width, int height)

## Private Member Functions

void | do_thaw ()
bool | thaw_timeout ()
void | freeze (Gtk::Window *w, int width, int height)
void | thaw ()

## Private Attributes

Gtk::Window * | window
sigc::connection | tag
bool | need_thaw
int | size_x
int | size_y
sigc::slot< void > | work

## Detailed Description

Definition at line 640 of file gx_main_window.h.

## Constructor & Destructor Documentation

## Freezer()

Freezer::Freezer | ( |  | ) |

## ~Freezer()

Freezer::~Freezer | ( |  | ) |

## Member Function Documentation

## check_thaw()

bool Freezer::check_thaw | ( | int | width,
|  | int | height )

## do_thaw()

void Freezer::do_thaw | ( |  | ) |

private

## freeze()

void Freezer::freeze | ( | Gtk::Window * | w,
|  | int | width,
|  | int | height )

private

## freeze_and_size_request()

void Freezer::freeze_and_size_request | ( | Gtk::Window * | w,
|  | int | width,
|  | int | height )

## freeze_until_width_update()

void Freezer::freeze_until_width_update | ( | Gtk::Window * | w,
|  | int | width )

## set_slot()

void Freezer::set_slot | ( | sigc::slot< void > | w | ) |

## thaw()

void Freezer::thaw | ( |  | ) |

private

## thaw_timeout()

bool Freezer::thaw_timeout | ( |  | ) |

private

## Member Data Documentation

## need_thaw

bool Freezer::need_thaw

private

Definition at line 644 of file gx_main_window.h.

## size_x

int Freezer::size_x

private

Definition at line 645 of file gx_main_window.h.

## size_y

int Freezer::size_y

private

Definition at line 646 of file gx_main_window.h.

## tag

sigc::connection Freezer::tag

private

Definition at line 643 of file gx_main_window.h.

## window

Gtk::Window* Freezer::window

private

Definition at line 642 of file gx_main_window.h.

## work

sigc::slot<void> Freezer::work

private

Definition at line 647 of file gx_main_window.h.

The documentation for this class was generated from the following file:

- src/headers/gx_main_window.h